package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.cpzslibs.prot.handset.bean.ConsigneeBean;

public interface ConsigneeDal {
	/**
	 * 插入一条客户信息
	 * @param cBean
	 */
	void insertConsignee(ConsigneeBean cBean);
	/**
	 * 插入所有的客户信息
	 * @param <T>
	 * @param cBeans
	 */
 	void insertAllConsignee(List<ConsigneeBean> cBeans);
	/**
	 * 查询所有的客户信息
	 * @return
	 */
	List<ConsigneeBean> queryAllConsigee();
	/**
	 * 通过查询条件搜索客户信息
	 * @param condition
	 * @return
	 */
	List<ConsigneeBean> searchConsigeeByCondition(String condition);
	/**
	 * 通过id查询客户信息
	 * @param id
	 * @return
	 */
	ConsigneeBean queryConsigeeById(int id);
	/**
	 * 删除所有的客户信息
	 */
	void deleteAllConsigee();
	
	ConsigneeBean getConsigee(Cursor c);
	
}
